none
Прекращена работа программы Powershell RRS feed

  • Вопрос

  • после установки обновления при запуске powershell  возникает ошибка "прекращена работа программы powershell, искать решение в интернете или закрыть программу"

    Операционная система: Windows 7 Ultimate
    Версия операционной системы: 6.1.7601 Service Pack 1
    Тип операционной системы: 64-bit

    обновление KB3191566 для Windows Management Framework 5.1 

    обновление было установлено дабы поднять версию PS с 2.0  до 5.1 

    удаление и переустановка обновления не помогли 

    нужно найти решение, чтобы безболезненно запускать скрипты на компьютере.


    1 ноября 2019 г. 13:36

Ответы

  • https://docs.microsoft.com/ru-ru/powershell/scripting/wmf/setup/install-configure?view=powershell-6

    "

    Для установки WMF 5.1 на компьютере с ОС Windows Server 2008 R2 с пакетом обновления 1 (SP1) или Windows 7 с пакетом обновления 1 (SP1) необходимо следующее.Installation of WMF 5.1 on either Windows Server 2008 R2 SP1 or Windows 7 SP1, requires the following:

    • Должен быть установлен последний пакет обновления.Latest service pack must be installed.
    • Платформа WMF 3.0 не должна быть установлена.WMF 3.0 must not be installed. Установка WMF 5.1 поверх WMF 3.0 приведет к потере PSModulePath ($env:PSModulePath), что может вызвать сбой других приложений.Installing WMF 5.1 over WMF 3.0 will result in the loss of the PSModulePath ($env:PSModulePath), which can cause other applications to fail. Перед установкой WMF 5.1 нужно удалить WMF 3.0 или сохранить PSModulePath и восстановить его вручную после установки WMF 5.1.Before installing WMF 5.1, you must either un-install WMF 3.0, or save the PSModulePath and then restore it manually after WMF 5.1 installation is complete.
    • WMF 5.1 требуется по крайней мере .NET Framework 4.5.2.WMF 5.1 requires at least .NET Framework 4.5.2. Вы можете установить Microsoft .NET Framework 4.5.2, выполнив следующие инструкции по месту скачивания.

    "

    https://dotnet.microsoft.com/download/dotnet-framework 
    • Помечено в качестве ответа Svetlana_T 2 ноября 2019 г. 13:48
    2 ноября 2019 г. 1:27

Все ответы

  • https://docs.microsoft.com/ru-ru/powershell/scripting/wmf/setup/install-configure?view=powershell-6

    "

    Для установки WMF 5.1 на компьютере с ОС Windows Server 2008 R2 с пакетом обновления 1 (SP1) или Windows 7 с пакетом обновления 1 (SP1) необходимо следующее.Installation of WMF 5.1 on either Windows Server 2008 R2 SP1 or Windows 7 SP1, requires the following:

    • Должен быть установлен последний пакет обновления.Latest service pack must be installed.
    • Платформа WMF 3.0 не должна быть установлена.WMF 3.0 must not be installed. Установка WMF 5.1 поверх WMF 3.0 приведет к потере PSModulePath ($env:PSModulePath), что может вызвать сбой других приложений.Installing WMF 5.1 over WMF 3.0 will result in the loss of the PSModulePath ($env:PSModulePath), which can cause other applications to fail. Перед установкой WMF 5.1 нужно удалить WMF 3.0 или сохранить PSModulePath и восстановить его вручную после установки WMF 5.1.Before installing WMF 5.1, you must either un-install WMF 3.0, or save the PSModulePath and then restore it manually after WMF 5.1 installation is complete.
    • WMF 5.1 требуется по крайней мере .NET Framework 4.5.2.WMF 5.1 requires at least .NET Framework 4.5.2. Вы можете установить Microsoft .NET Framework 4.5.2, выполнив следующие инструкции по месту скачивания.

    "

    https://dotnet.microsoft.com/download/dotnet-framework 
    • Помечено в качестве ответа Svetlana_T 2 ноября 2019 г. 13:48
    2 ноября 2019 г. 1:27

  • Операционная система: Windows 7 Ultimate
    Версия операционной системы: 6.1.7601 Service Pack 1
    Тип операционной системы: 64-bit

    мы тут не контролирующие органы, но честный Ultimate встречается не многим чаще чем единороги, что так же может быть причиной, если используется образ с торентов, где из него выпилили все "лишнее"

    The opinion expressed by me is not an official position of Microsoft

    2 ноября 2019 г. 4:10
    Модератор
  • это конечно замечательно, что вы о таком осведомлены, но к решению проблемы ваш комментарий меня не приблизил.
    2 ноября 2019 г. 13:49
  • это конечно замечательно, что вы о таком осведомлены, но к решению проблемы ваш комментарий меня не приблизил.
    если первый комментарий помог, то рад за вас, если же нет и ос скачана с трекера, то в microsoft store можно купить легальную Win10 в которой PoSh 5 будет из коробки. мой ответ был про это

    The opinion expressed by me is not an official position of Microsoft

    2 ноября 2019 г. 14:32
    Модератор